/*
Theme Name:     Rawi
Theme URI:      https://in9ti.com
Author:         In9ti.com
Author URI:     https://in9ti.com
Description:    Tema child desenvolvido por In9ti.com com base no tema hello elementor
Template:       hello-elementor
Version:        1.4
*/


/*******************************
* Loader page
*******************************/
.loader {
    position: fixed;
    inset: 0;
    background: #FFF;
    background-color: rgba(255, 255, 255, 1);
    animation: fadeBg 6s ease forwards;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 99999;
}
.loader-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 40px;
    overflow: hidden;
}
.loader-img {
    width: calc( 100vw / 5 - 40px );
    aspect-ratio: 1;
    position: relative;
}
.loader-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: translateX(120vw);
    opacity: 0;
}
.loader-img-1{
    z-index: 6;
}
.loader-img-2{
    z-index: 1;
}
.loader-img-3{
    z-index: 2;
}
.loader-img-4{
    z-index: 3;
}
.loader-img-5{
    z-index: 4;
}
.loader[style] .loader-img-1{
    z-index: 0;
}
.loader[style*="pointer-events: none"] {
    display: none;
}
@media ( max-width: 1200px ){
    .loader-grid {
        gap: 30px;
    }
    .loader-img {
        width: calc( 100vw / 5 - 30px );
    }
}
@media ( max-width: 1024px ){
    .loader-grid {
        gap: 20px;
    }
    .loader-img {
        width: calc( 100vw / 5 - 20px );
    }
}
@media ( max-width: 768px ){
    .loader-grid {
        gap: 10px;
    }
    .loader-img {
        width: calc( 100vw / 5 - 10px );
    }
}
@keyframes fadeBg {
    80% {
        background-color: rgba(255, 255, 255, 1);
    }
    100% {
        background-color: rgba(255, 255, 255, 0);
    }
}




/*****************************
* Página de portfolio
*****************************/
.rawi-loop {
    display: flex;
    flex-wrap: wrap;
    overflow: hidden;
    padding-top: 1px;
    max-width: 1980px;
    margin-left: auto;
    margin-right: auto;
    gap: 1px;
}
.portfolio--item {
    position: relative;
    transition: all .4s ease;
    flex: 0 0 calc(20% - 1px);
    min-height: max(30vh, 465px);
    box-sizing: border-box;
}
.portfolio-empty {
    padding: 40px;
}
.portfolio--item a{
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
    padding: 40px;
}
.portfolio--item a img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0s linear 0.6s, transform 0.6s cubic-bezier(0.65, 0.05, 0.36, 1);
}
.portfolio--item .portfolio-title {
    font-family: "Geist Mono", Sans-serif;
    font-size: 24px;
    font-weight: 500;
    line-height: 1.1em;
    position: absolute;
    left: 22px;
    top: 16px;
    z-index: 99;
}
.portfolio--item span.mor {
    display: inline-block;
    transition: transform .4s ease;
    width: 20px;
    height: 20px;
    line-height: 18px;
    text-align: center;
}
.portfolio--item:hover span.mor{
    transform: rotate(360deg);
}

.portfolio--item .portfolio-title span.text{
    opacity: 0;
    transition: opacity .6s ease;
}
/*** Hover ***/
.portfolio--item:hover .portfolio-title span.text{
    opacity: 1;
}
.portfolio--item img.img-hover{
    opacity: 0;
    transform: translateX(100%);
    z-index: 2;
}
.portfolio--item img.wp-post-image {
    transform: translateX(0);
    z-index: 1;
}
/*** Hover ***/
.portfolio--item a:focus img.img-hover,
.portfolio--item:hover img.img-hover {
    opacity: 1;
    transform: translateX(0);
    transition: opacity 0s ease-in, transform 0.6s cubic-bezier(0.65, 0.05, 0.36, 1);
}
.portfolio--item a:focus img.wp-post-image,
.portfolio--item:hover img.wp-post-image {
    transform: translateX(-100%);
}


/*** Bordas ***/
.portfolio--item:after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 0;
    border-right: #616161 solid 1px;
    position: absolute;
    top: 0;
    right: -1px;
}
.portfolio--item:before {
    content: "";
    display: inline-block;
    height: 0;
    width: 100%;
    border-top: #616161 solid 1px;
    position: absolute;
    top: -1px;
    left: 0px;
}
.portfolio--item.portfolio-item-05:before,
.portfolio--item.portfolio-item-11:before,
.portfolio--item.portfolio-item-12:after,
.portfolio--item.portfolio-item-18:after,
.portfolio--item.portfolio-item-27:after,
.portfolio--item.portfolio-item-33:after{
    border-color: #FFF;
}

.portfolio-item-09{
    display: flex;
    align-items: flex-end;
    justify-content: end;
}
.title-page-portfolio {
    font-family: "Visby CF", Sans-serif;
    font-size: calc(40 * 1/1920*100vw);
    font-weight: 300;
    text-transform: lowercase;
    line-height: 1em;
    position: relative;
    display: inline-block;
    padding: 0 20px;
    margin: 0;
}
.title-page-portfolio:before {
    content: "[";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%) translateX(-5px);
}

.title-page-portfolio:after {
    content: "]";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%) translateX(5px);
}


@media ( max-width: 1024px ) and ( min-width: 767px ){
    .title-page-portfolio {
        font-size: calc(80 * 1/1920*100vw);
    }
    .portfolio--item {
        flex: 0 0 calc(33.333% - 1px);
        min-height: max(32vh, 430px);
    }
    .portfolio-empty:not(.portfolio-item-09){
        display: none;
    }
}
@media ( max-width: 767px ){
    .title-page-portfolio {
        font-size: calc(102 * 1/1920*100vw);
    }
    .portfolio--item {
        flex: 0 0 calc(50% - 1px);
        min-height: max(40vh, 420px);
    }
    .portfolio-empty:not(.portfolio-item-09){
        display: none;
    }
    .portfolio--item:before,
    .portfolio--item:after{
        display: none;
    }
}
@media ( max-width: 650px ){
    /* .portfolio--item {
        flex: 0 0 100%;
        min-height: max(34vh, 467px);
    } */
    .portfolio--item {
        min-height: max(24vh, 280px);
    }
    .portfolio--item .portfolio-title {
        font-size: 20px;
    }
    .title-page-portfolio {
        font-size: calc(90 * 1/1920*100vw);
    }
}





/****************************
* Filtro portfolio
****************************/
.categorias-filtro{
    display: flex;
    flex-wrap: wrap;
    gap: 30px 40px;
    font-family: "Geist Mono", Sans-serif;
    font-size: 14px;
    font-weight: 500;
    line-height: 1.1em;
}
.categorias-filtro label input{
    opacity: 0;
    position: absolute;
    left: -999em;
}
.categorias-filtro label span{
    position: relative;
    padding-left: 25px;
    cursor: pointer;
}
.categorias-filtro label{
    white-space: nowrap;
}
.categorias-filtro label span:before {
    content: "";
    width: 16px;
    height: 16px;
    display: block;
    border: #000 solid 1px;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
}
.categoria-item input[type="checkbox"]:checked + span::before {
    background-color: #000;
}
.portfolio--item.item-collapse {
    display: none;
}



/**********************
* Dados do projeto
***********************/
.dados-projeto {
    display: inline-block;
    line-height: 25px;
    color: #000;
}
.dados-projeto p {
    font-family: "Geist Mono", Sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 30px;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.dados-projeto p strong{
    color: #afaeae;
    font-weight: 500;
}



/**************************
* Single projetos
**************************/
.bloco-conteudo-imagem {
    display: flex;
    align-items: flex-start;
    gap: 30px;
}
.bloco-texto {
    position: sticky;
    top: 100px;
    align-self: flex-start;
    padding-left: 5%;
    padding-right: 5%;
    width: 40%;
}
.bloco-imagem {
    width: 60%;
    position: sticky;
    top: 100px;
    align-self: flex-start;
}
.bloco-texto,
.bloco.bloco-text-full{
    font-family: "Visby CF", Sans-serif;
    font-size: 22px;
    line-height: 34px;
    font-weight: 400;
    color: #000;
}
.conteudo-dinamico-wrapper {
    display: flex;
    flex-direction: column;
}
.bloco.bloco-imagem-full,
.bloco.bloco-conteudo-imagem {
    margin-bottom: 6%;
}
.bloco.bloco-imagem-full.section-margin-no{
    margin-bottom: 0 !important;
}
.bloco.bloco-text-full {
    padding: 5% 5% 5% 34vw;
}
.bloco + .bloco.bloco-text-full{
    padding-top: 0%;
}
.bloco-conteudo-imagem {
    display: flex;
    align-items: center;
    gap: 30px;
}
.bloco-conteudo-imagem.is_reverse{
    flex-direction: row-reverse;
}
.bloco-imagem img {
    width: 100%;
    height: auto;
    display: block;
}
.bloco-imagem-full img {
    width: 100%;
    height: auto;
    display: block;
}
.bloco.bloco-imagem-full.image-right,
.bloco.bloco-imagem-full.image-left,
.bloco.bloco-imagem-full.image-center{
    display: flex;
}
.bloco.bloco-imagem-full.image-right {
    justify-content: flex-end;
}
.bloco.bloco-imagem-full.image-left {
    justify-content: flex-start;
}
.bloco.bloco-imagem-full.image-center {
    justify-content: center;
}

.bloco.bloco-imagem-full.image-right img,
.bloco.bloco-imagem-full.image-left img,
.bloco.bloco-imagem-full.image-center img{
    display: block;
    width: auto;
}


.bloco.bloco-depoimento{
    padding: 5%;
}
.bloco.bloco-depoimento blockquote {
    font-family: "Visby CF", Sans-serif;
    font-size: 40px;
    font-weight: 300;
    line-height: 1.2em;
    max-width: 600px;
    margin: 0 auto;
    position: relative;
}
.bloco.bloco-depoimento blockquote:before {
    content: "[";
    font-size: 80px;
    position: absolute;
    left: -40px;
    top: -20px;
}
.bloco.bloco-depoimento blockquote:after {
    content: "]";
    font-size: 80px;
    position: absolute;
    right: -15px;
    bottom: 0;
}
blockquote {
    quotes: "“" "”";
}
blockquote p::before {
    content: open-quote;
}
blockquote p::after {
    content: close-quote;
}
.bloco-imagem-lado-a-lado{
    display: flex;
    gap: 0;
}
.bloco-imagem-left,
.bloco-imagem-right{
    flex: 0 0 50%;
}
.bloco.bloco-imagem-unica {
    display: flex;
    justify-content: flex-end;
}
.bloco.bloco-imagem-unica img {
    max-width: 60%;
}

@media (max-width: 980px) {
    .bloco.bloco-text-full {
        padding-right: 5%;
        padding-left: 5%;
    }
    .bloco-texto {
        position: static;
    }
    .bloco-conteudo-imagem {
        flex-direction: column;
    }
    .bloco-texto,
    .bloco-imagem {
        width: 100%;
    }
    .bloco.bloco-depoimento blockquote {
        font-size: 4vw;
        max-width: 60%;
    }
    .bloco.bloco-depoimento blockquote:before,
    .bloco.bloco-depoimento blockquote:after{
        font-size: 50px;
    }
}
@media (max-width: 767px) {
    .bloco.bloco-imagem-unica img {
        max-width: 100%;
    }
    .bloco-imagem-lado-a-lado {
        flex-direction: column;
    }
    .bloco-imagem-left,
    .bloco-imagem-right {
        flex: 0 0 100%;
    }
}


/*******************************
* Nav Projetos
********************************/
.single-nav-projeto {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.single-nav-projeto a.proximo-projeto{
	position: relative;
	font-family: "Visby CF", Sans-serif;
    font-size: 14px;
    font-weight: 700;
    letter-spacing: 0.5px;
	padding: 0 15px;
	transition: padding .4s ease;
}
.single-nav-projeto a.proximo-projeto:before,
.single-nav-projeto a.proximo-projeto:after{
	position: absolute;
	font-size: 23px;
	font-weight: 500;
	top: 45%;
	transition: transform 0.4s ease;
}
.single-nav-projeto a.proximo-projeto:before{
    content: "[";
    left: 0;
	transform: translateY(-50%) translateX(-5px);
}
.single-nav-projeto a.proximo-projeto:after{
    content: "]";
    right: 0;
    transform: translateY(-50%) translateX(5px);
}
.single-nav-projeto a.proximo-projeto:hover:before{
	transform: translateY(-50%) translateX(5px);
}
.single-nav-projeto a.proximo-projeto:hover:after{
	transform: translateY(-50%) translateX(-5px);
}


.marquee {
    overflow: hidden;
    width: max-content;
    position: relative;
    margin: 80px 0 1em 0;
    white-space: nowrap;
    display: flex;
    font-family: "Geist Mono", Sans-serif;
    color: #000;
}
.marquee-track {
    display: flex;
    width: max-content;
    animation: marquee 40s linear infinite;
}
.marquee-item {
    color: #afaeae;
    flex: 0 0 auto;
    white-space: nowrap;
	position: relative;
	padding-left: 40px;
	padding-right: 40px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-size: 15px;
	font-weight: 400;
    font-family: "Geist Mono", Sans-serif;
}
.marquee-item.even{
    color: #000;
}
.marquee-item:after{
	content: " / ";
	display: inline-block;
	position: absolute;
	right: 0px;
}
.marquee-item span {
    font-weight: 500;
    margin-right: 5px;
}
.marquee:hover .marquee-track {
    animation-play-state: paused;
}
@keyframes marquee {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}





/******************************
* Loop ensaio e publicações
******************************/
.rawi-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 40px;
}
.rawi-col {
    display: flex;
    flex-direction: column;
}
.rawi-item {
    border-bottom: #777 solid 1px;
    padding: 20px 0;
}
.rawi-item:first-child,
.loop-categoria-publicacoes .elementor-loop-container > .e-loop-item:first-of-type,
.loop-categoria-publicacoes .elementor-loop-container > .e-loop-item:nth-of-type(2){
    border-top: #777 solid 1px;
}
@media ( max-width: 880px ){
    .loop-categoria-publicacoes .elementor-loop-container > .e-loop-item:nth-of-type(2){
        border-top: none;
    }
}
@media ( max-width: 768px ){
    .rawi-col:nth-child(2) .rawi-item:first-child {
        border-top: none;
    }
}
.rawi-item h3{
    font-family: "Visby CF", Sans-serif;
    font-size: 16px;
    font-weight: 700;
    text-transform: uppercase;
    margin: 0;
}
.rawi-item.cat-ensaio h3{
    font-weight: 700;
}
.rawi-item .revista{
    font-weight: 500;
    text-transform: uppercase;
}
.category-label {
    font-size: 0.8em;
    text-transform: uppercase;
    color: #888;
}
.cat-publicacoes a {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.cat-publicacoes .imagem {
    overflow: hidden;
    flex: 0 0 50%;
    transition: all .6s ease;
}
.cat-publicacoes .imagem img{
    margin: 0;
    padding: 0;
    width: auto;
    height: 100%;
    max-width: 100%;
}
@media ( min-width: 980px ){
    .cat-publicacoes .imagem {
        opacity: 0;
        visibility: hidden;
        transform: translateY(20px);
        display: flex;
        justify-content: flex-end;
    }
    .cat-publicacoes:hover .imagem{
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }
}


.rawi-item.cat-ensaios a{
    display: flex;
    flex-direction: column-reverse;
    gap: 20px;
}
.rawi-item.cat-ensaios img{
    width: 100%;
    max-width: 100%;
    height: auto;
}
.rawi-item .category-label{
    color: #afaeae;
    font-size: 14px;
    font-weight: 500;
    text-decoration: underline;
}
.rawi-item.cat-ensaios {
    padding-bottom: 19.9%;
}
.rawi-item.cat-ensaios .title {
    display: grid;
    grid-template-columns: 110px 1fr;
    grid-template-areas: "data title" "label title";
    gap: 5px 15px;
    align-items: start;
}
.rawi-item.cat-ensaios .title .data {
    grid-area: data;
    font-weight: 700;
}
.rawi-item.cat-ensaios .title .category-label {
    grid-area: label;
}
.rawi-item.cat-ensaios .title h3 {
    grid-area: title;
    align-items: start;
    font-weight: 700;
    line-height: 25px;
}



@media(max-width: 768px){
    .rawi-grid {
        grid-template-columns: 1fr;
        gap: 20px;
    }
}